Lintian ReportsBETA

Eread-in-maintainer-script

Tag versions

The tag is present in Lintian version 2.104.234. That is the most recent version we know about.

This maintainer script appears to use read to get information from the user. Prompting in maintainer scripts must be done by communicating through a program such as debconf which conforms to the Debian Configuration management specification, version 2 or higher.

This check can have false positives if read is used in a block with a redirection, in a function run in a pipe, or in other ways where standard input is provided in inobvious ways. If this is the case, please add an override for this tag.

Refer to Debian Policy Manual section 3.9.1 for details.

Visibility: error

Check: scripts

The following 3 source packages in the archive triggered the tag 5 times.

We found 5 overrides. The tag performed 0% of the time.